
QGIS Application - Bug report #625

Unknown svn revision in win32 preview2

2007-03-01 10:19 AM - Magnus Homann

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10684

Description

The svn revison doesn't work in win32 preview 2. I suspect there is an old qgssvnversion.h in the source directory that's picked up before

the one in build directory where the binary is build. It works for me otherwise.

History

#1 - 2007-03-09 10:44 AM - Magnus Homann

Solution is that one have to have svn command line inertafce tools installed for this to work, specifically 'svnversion'.

#2 - 2007-03-25 12:36 AM - Redmine Admin

has this been solved with preview3? should it be closed?

#3 - 2007-03-25 01:15 AM - Magnus Homann

No, still not build with svn cmd line tools installed on the build machine.

#4 - 2007-06-11 05:35 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

Im building with svn cli tools now. Svn version is showing up correctly now. Closing this bug - thanks!

Tim

#5 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
